const jsonwebtoken = require('jsonwebtoken');
require('dotenv').config();

/**
 * 
 * @param {object} payload 
 */
const generateToken = payload => {
    const signingKey = process.env.SIGNING_KEY;

    const jwt = jsonwebtoken.sign(
        { data: payload },
        signingKey,
        { expiresIn: 60 * 60 * 12 }
    );

    return jwt;
}

/**
 * 
 * @param {string} token 
 */
const decodeToken = token => {
    const signingKey = process.env.SIGNING_KEY;
    const jwt = jsonwebtoken.verify(token, signingKey);

    return jwt || false;
}

module.exports = { generateToken, decodeToken };