const twilio = require('twilio');
require('dotenv').config();

const { TWILIO_API_KEY, TWILIO_AUTH_TOKEN } = process.env;

const lookupsApi = twilio(TWILIO_API_KEY, TWILIO_AUTH_TOKEN).lookups.v1;

/**
 * 
 * @param {string} phoneNumber 
 */
const getValidPhoneNumber = async number => {
    try {
        const data = await lookupsApi.phoneNumbers(number).fetch();
        console.log(" look up api", data )
        return {
            nationalFormat: data.nationalFormat,
            phoneNumber: data.phoneNumber
        };
    } catch (e) {
        console.log(" look up api err", e )
        return false;
    }
};

module.exports = { getValidPhoneNumber };